.\"	$NetBSD: iopsp.4,v 1.8 2006/11/13 16:33:57 ad Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Andrew Doran.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 8, 1999
.Dt IOPSP 4
.Os
.Sh NAME
.Nm iopsp
.Nd I2O SCSI port driver
.Sh SYNOPSIS
.Cd "iopsp* at iop? tid ?"
.Cd "scsibus* at iopsp?"
.Sh DESCRIPTION
The
.Nm
driver provides support for I2O SCSI bus adapter ports and child
peripherals.
.Pp
IOPs present each child peripheral attached to a bus adapter port as an
individual device.  In order to present the appearance of a bus, the
.Nm
driver groups child peripherals by controlling port.
.Pp
On IOPs containing a SCSI port and block or tape driver modules, some SCSI
devices may not be directly accessible.  For each inaccessible device, a
message will be displayed during configuration.  For example:
.Bd -literal
	iopsp0: target 0,0 (tid 70): in use by tid 47
.Ed
.Pp
Such devices will usually be indirectly accessible as block devices, either
individually or as part of an array.
.Sh SEE ALSO
.Xr intro 4 ,
.Xr iop 4 ,
.Xr ld 4 ,
.Xr scsi 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.5.3 .
